apiVersion: v1
kind: Pod
metadata:
  name: query-service-integration
  namespace: integration
  labels:
    name: query-service-integration
spec:
  containers:
  - name: query-service-integration
    image: datastropheregistry.azurecr.io/query-service-staging:latest
    env:
    - name: RABBIT_HOST
      value: rabbitmq
    - name: RABBIT_PORT
      value: "5672"
    - name: RABBIT_USER
      value: guest
    - name: RABBIT_PASSWORD
      value: guest
    - name: REDIS_ADDRESS
      value: redis:6379
    - name: LOG_MESSAGES
      value: "true"
    resources:
        requests:
          memory: "50Mi"
          cpu: "50m"
        limits:
          memory: "100Mi"
          cpu: "100m"
  imagePullSecrets:
  - name: docker-regcred
